Bug 590653 - TEXT mode installation through Serial console generates bug even before starting to format default partitioning Layout
TEXT mode installation through Serial console generates bug even before start...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 All
low Severity urgent
: rc
: ---
Assigned To: Hans de Goede
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 08:28 EDT by Hans de Goede
Modified: 2010-11-10 14:43 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-13.21.40-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 589773
Environment:
Last Closed: 2010-11-10 14:43:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2010-05-10 08:28:55 EDT
+++ This bug was initially created as a clone of Bug #589773 +++

While trying to install Fedora 13 Alpha x86_64(text installation) through Serial console (as
parallel console has some problem), a bug is generated even before the default partitioning layout
can be created.

**Note that the serial console VNC installation also has problems similar to PPC64 and is tracked
through: https://bugzilla.linux.ibm.com/show_bug.cgi?id=61364,

Kernel Boot parameters used:
askmethod serial

Attaching the Anaconda Bug report.

Machine Info:
mx3650b.in.ibm.com (sdb only),
Model: 7979,
platform: x86_64,
Serial No: 99k1161,

--- Additional comment from bugproxy@us.ibm.com on 2010-05-06 16:51:48 EDT ---

Created an attachment (id=412167)
Text Mode (Default Paritioning Layout, default Packages) Anaconda bug report pre-installation

--- Additional comment from bugproxy@us.ibm.com on 2010-05-06 16:51:58 EDT ---

Created an attachment (id=412168)
Bug Report during default text mode installation

--- Additional comment from hdegoede@redhat.com on 2010-05-10 08:26:31 EDT ---

Hi,

Thanks for the report, I've send a patch fixing this to mailing list for
review. I'll update this bug report once the patch is reviewed.

As a workaround you can add a console= argument to the cmdline such as:
console=ttyS0,115200n8

Thanks & Regards,

Hans
Comment 1 RHEL Product and Program Management 2010-05-10 09:23:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Hans de Goede 2010-05-11 05:45:09 EDT
Note to QA, to reproduce, do an installation with "serial" on the kernel cmdline, without a console= argument.
Comment 4 Hans de Goede 2010-05-14 03:56:17 EDT
This is fixed in anaconda-13.21.40-1, moving to modified.
Comment 11 releng-rhel@redhat.com 2010-11-10 14:43:15 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.